<div ng-if="!$ctrl.result_sent_modal">
  <!-- popup-modal -->
  <div class="biomark-modal" ng-if="$ctrl.modalState">
    <form ng-if="$ctrl.hideNextButton === false" name="patientForm" class="modal_container modal-container-div scroller"
      class="was-validated">
      <!-- <div class="modal-content"> -->
      <button ng-click='$ctrl.hideModal()' class="close-icon">x</button>
      <div class="eorder-patient-form-content" id="modal-popup">
        <!-- <div class="row mt-2">
          <div class="col pr-2">
            <h4>Add Patient</h4>
            <p>Add a new profile into the system</p>
          </div>
        </div> -->
        <!-- <span class="flag-icon flag-icon-sg flag"></span>
        <span class="flag-icon flag-icon-id flag"></span>
        <span class="flag-icon flag-icon-my flag"></span> -->
        <!-- <div ng-if="$ctrl.isEdit != true" class="eorder-add-patient-text">Add Patient data{{$ctrl.request}}</div>-->
        <div ng-if="$ctrl.isEdit != true" class="eorder-add-patient-text">Add Patient</div>
        <div ng-if="$ctrl.isEdit == true" class="eorder-add-patient-text">Edit Patient</div>
        <div ng-if="$ctrl.isEdit != true" class="eorder-add-new-profile-text">Add a new profile into the system</div>
        <div ng-if="$ctrl.isEdit == true" class="eorder-add-new-profile-text">Edit the patient profile</div>
        <div class="eorder-form-fields">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">First Name</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.patient_data.first_name" ng-change="$ctrl.checkFirstName()"
              class="form-control {{$ctrl.firstNameValidation}} e-order-firstname-input e-order-input" />
            <div class="invalid-feedback">
              {{$ctrl.firstNameError}}
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Last Name</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.patient_data.last_name" ng-change="$ctrl.checkLastName()"
              class="e-order-input form-control {{$ctrl.lastNameValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              {{$ctrl.lastNameError}}
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Gender</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <!-- <div class="form-group">
              <select ng-model="$ctrl.patient_data.gender_id"
                class="custom-select {{$ctrl.genderValidation}} e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="1">Male</option>
                <option value="2">Female</option>
                <option value="3">Others</option>
              </select>
              <div class="invalid-feedback">
                Please select gender
              </div>
            </div>
          </div> -->
          <div>
            <select ng-model="$ctrl.patient_data.gender_id"
              class="e-order-firstname-input e-order-select-option-patient-form">
              <option value="">Select</option>
              <option value="1">Male</option>
              <option value="2">Female</option>
              <option value="3">Others</option>
            </select>
            <div class="dobError" ng-if="$ctrl.genderFlag">
              Please select gender
            </div>
          </div>
        </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Country</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div>
              <select ng-model="$ctrl.patient_data.country_id" class="e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option ng-repeat="x in $ctrl.countries" value="{{x.dial_code}}">{{x.name}}</option>
              </select>
              <div class="dobError" ng-if="$ctrl.nationalityFlag">
                Please select country
              </div>
            </div>
          </div>
        </div>
        <div class="eorder-form-fields">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Identification Type</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="form-group">
              <select ng-model="$ctrl.patient_data.ic_type"
                class="e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="NRIC/FIN">NRIC/FIN</option>
                <option value="Driver’s License">Driver’s License</option>
                <option value="Passport Number">Passport Number</option>
                <option value="Others">Others</option>
              </select>
              <div class="dobError" ng-if="$ctrl.identificationTypeFlag">
                Please select identification type
              </div>
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Identification Number</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input ng-if="$ctrl.isEdit != true" placeholder="" ng-model="$ctrl.patient_data.ic_number"
              class="e-order-input form-control {{$ctrl.identificationNumberValidation}} e-order-firstname-input" />
              <input ng-if="$ctrl.isEdit == true" placeholder="" ng-model="$ctrl.patient_data.ic_number"
              class="form-control {{$ctrl.identificationNumberValidation}} e-order-firstname-input"/>
            <div class="invalid-feedback">
              Please enter identification number
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text mb-1">
              <label class="e-order-firstname-label">Ethnicity (optional)</label>
            </div>
            <select ng-model="$ctrl.patient_data.ethnic" class="e-order-firstname-input e-order-select-option-patient-form"
              ng-blur="$ctrl.checkEhnicity()">
              <option value="">Select</option>
              <option value="Chinese">Chinese</option>
              <option value="Malay">Malay</option>
              <option value="Indian">Indian</option>
              <option value="Eurasian">Eurasian</option>
              <option value="Eurasian">European</option>
              <option value="Eurasian">Thai</option>
              <option value="Eurasian">Indonesian</option>
              <option value="Others">Others</option>
            </select>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Date of Birth</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="e-order-dob">
              <datetimepicker class="dob_datetimepicker" date-format="dd/MM/yyyy" show-button-bar="false"
                  hidden-time="true" ng-model="$ctrl.dob_date" date-options="$ctrl.dateOptions"
                  date-opened="$ctrl.dateShowFlag" disabled>
              </datetimepicker>
              <img class = "calender_img" src="../../../images/Calendar_Icon.svg" ng-click="$ctrl.dateShowFlag = true" />
            </div>
            <!-- <div class="e-order-dob">
              <input type="number" placeholder="Day" ng-model="$ctrl.day" class="e-order-input e-order-dob-input-day" ng-blur="$ctrl.checkDay()" />
              <select ng-model="$ctrl.month" class="e-order-input e-order-firstname-input e-order-select-dob-option">
                <option value="">Mon</option>
                <option value="01">Jan</option>
                <option value="02">Feb</option>
                <option value="03">Mar</option>
                <option value="04">Apr</option>
                <option value="05">May</option>
                <option value="06">Jun</option>
                <option value="07">Jul</option>
                <option value="08">Aug</option>
                <option value="09">Sep</option>
                <option value="10">Oct</option>
                <option value="11">Nov</option>
                <option value="12">Dec</option>
              </select>
              <input type="number" placeholder="Year" ng-model="$ctrl.year" class="e-order-input e-order-firstname-input e-order-dob-input-year"
                ng-blur="$ctrl.checkYear()" />
            </div> -->
            <div class="dobError" ng-if="$ctrl.dobFlag">
              {{$ctrl.dobError}}
            </div>
          </div>
        </div>
        <hr />
        <div class="eorder-add-patient-text">Patient Contact Information </div>
        <div class="eorder-form-fields">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Address</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.patient_data.address" ng-change="$ctrl.checkAddress()"
              class="e-order-input form-control {{$ctrl.addressValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              {{$ctrl.addressError}}
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Postal Code</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.patient_data.postal_code" ng-change="$ctrl.checkPostalCode()"
              class="e-order-input form-control {{$ctrl.postalCodeValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              {{$ctrl.postalCodeError}}
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text mb-1">
              <label class="e-order-firstname-label">Contact Number (optional)</label>
            </div>
            <!-- <select ng-model="$ctrl.contactNumberCode"
                class="e-order-firstname-input e-order-select-option-patient-form number-code-width">
                <option value="+65">+65</option>
                <option value="+60">+60</option>
                <option value="+62">+62</option>
              </select> -->
            <div class="e-order-contact-number">
              <select ng-model="$ctrl.contactNumberCode" class="e-order-firstname-input e-order-select-option-patient-form number-code-width" ng-change="$ctrl.checkContactNumber()">
                <option ng-repeat="x in $ctrl.countries" value="{{x.dial_code}}">{{x.dial_code}}</option>
              </select>
              <div class="number-div">
                <input placeholder="" ng-model="$ctrl.contactNumber" ng-change="$ctrl.checkContactNumber()"
                  class="e-order-input form-control e-order-firstname-input number-width" />
              </div>
            </div>
            <div class="dobError" ng-if="$ctrl.contactNumberFlag">
              {{$ctrl.contactNumberError}}
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Mobile Number</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="e-order-contact-number">
              <!-- <select ng-model="$ctrl.mobileNumberCode"
                class="e-order-firstname-input e-order-select-option-patient-form number-code-width">
                <option value="+65">+65</option>
                <option value="+66">+66</option>
                <option value="+67">+67</option>
              </select> -->
              <select ng-model="$ctrl.mobileNumberCode" class="e-order-firstname-input e-order-select-option-patient-form number-code-width">
                <option ng-repeat="x in $ctrl.countries" value="{{x.dial_code}}">{{x.dial_code}}</option>
              </select>
              <div class="number-div">
                <input placeholder="" ng-model="$ctrl.mobileNumber" ng-change="$ctrl.checkMobileNumber()"
                  class="e-order-firstname-input number-width" />
              </div>
            </div>
            <div class="dobError" ng-if="$ctrl.mobileNumberFlag">
              {{$ctrl.mobileNumberError}}
            </div>
          </div>
        </div>
        <div class="e-order-firstname">
          <div class="e-order-text">
            <label class="e-order-firstname-label">Email</label>
            <div class="e-order-required-icon">*</div>
          </div>
          <input placeholder="" ng-model="$ctrl.patient_data.email_address" ng-change="$ctrl.checkEmail()"
            class="e-order-input form-control {{$ctrl.emailValidation}} e-order-firstname-input" />
          <div class="invalid-feedback">
            {{$ctrl.emailError}}
          </div>
          <div>

          </div>
        </div>
        <div class="e-order-btn">
          <button class="btn bio-btn-view e-order-common-btn d-none d-md-block" ng-if="$ctrl.hideNextButton === false"
            ng-click="$ctrl.getData()">Next</button>
          <button class="btn bio-btn-view e-order-common-btn d-none d-md-block margin" ng-if="$ctrl.hideNextButton === true && $ctrl.isEdit != true"
            ng-click="$ctrl.addPatient()">Add</button>
          <button class="btn bio-btn-view e-order-common-btn d-none d-md-block margin" ng-if="$ctrl.hideNextButton === true && $ctrl.isEdit == true"
            ng-click="$ctrl.updatePatient()">Save</button>
          <button class="btn bio-btn-view e-order-common-btn e-order-cancel-button d-none d-md-block"
            ng-click='$ctrl.hideModal()'>Cancel</button>
        </div>
        <!-- <div class="row">
          <div class="col-6">
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1">
                <b>Patient Identification</b>
              </div>
              <input
                    id="patient-name"
                    type="text"
                    ng-model="$ctrl.patient_data.ic_number"
                    class="form-control-eorder">
            </div>
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1">
                <b>Patient Name</b>
              </div>
              <input
                    type="text"
                    ng-model="$ctrl.patient_data.patient_name"
                    ng-disabled="$ctrl.lock_form"
                    class="form-control-eorder">
            </div>
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1"><b>Gender</b></div>
              <div class="d-flex flex-row">
                <div>
                    <input
                    type="radio"
                    id="gender_1"
                    name="gender"
                    ng-value="2"
                    ng-model="$ctrl.patient_data.gender_id"
                    tabindex="-1">
                    <label for="gender_1" style="margin-right: 20px">Female</label>
                </div>
                <div>
                    <input
                    type="radio"
                    id="gender_2"
                    name="gender"
                    ng-value="1"
                    ng-model="$ctrl.patient_data.gender_id"
                    tabindex="-1">
                    <label for="gender_2">Male</label>
                </div>
              </div>
            </div>  
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1"><b>Mobile number</b> </div>
              <biomark-mobile country="$ctrl.patient_data.country_id" mobile="$ctrl.patient_data.mobile" invalid="false"></biomark-mobile>
            </div>
          </div>
          <div class="col-6">
            <div class="border-left pl-3">
              <div class="form-group-eorder" style="max-width: 300px;">
                <div class="bm-label-14 mb-1"><b>Date of birth</b> {{$ctrl.patient_data.birth_date}}</div>
                <biomark-date class="is-invalid" date="$ctrl.patient_data.birth_date" invalid="false" date-valid="$ctrl.dateValid"></biomark-date>
              </div>
              <div class="form-group-eorder" style="max-width: 300px;">
                <div class="bm-label-14 mb-1"><b>Age</b> </div>
                <input
                    ng-model="$ctrl.patient_data.age"
                    type="text"
                    class="form-control-eorder" ng-class="{'is-invalid': $ctrl.error.name}">
              </div>
              <div class="form-group-eorder" style="max-width: 300px;">
                <div class="bm-label-14 mb-1"><b>Email Address</b> </div>
                <input
                    ng-model="$ctrl.patient_data.email"
                    type="email"
                    class="form-control-eorder" ng-class="{'is-invalid': $ctrl.error.name}">
              </div>
            </div>
          </div>
        </div> -->
        <!-- <div class="row">
          <div class="col-12">
            <div class="d-flex flex-row justify-content-between bluey-grey float">
              <button class="btn biomark-btn-cancel mr-2" ng-click='$ctrl.hideModal()'>Cancel</button>
              <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.create_profile()">Add Patient</button>
            </div>
          </div>
        </div> -->
      </div>
      <!-- </div> -->
    </form>
    <!-- ng-if="$ctrl.hideNextButton === true" -->
    <form ng-if="$ctrl.hideNextButton === true" name="patientForm" class="modal_container modal-container-div scroller"
      class="was-validated">
      <!-- <div class="modal-content"> -->
      <!-- <button ng-click='$ctrl.hideModal()' class="close-icon">✖</button> -->
      <button ng-click='$ctrl.hideModal()' class="close-icon">x</button>
      <div class="eorder-patient-form-content" id="modal-popup">
        <div ng-if="$ctrl.isEdit != true" class="eorder-add-patient-text">Add patient supporting information</div>
        <div ng-if="$ctrl.isEdit == true" class="eorder-add-patient-text">Edit Patient Supporting Information</div>
        <div ng-if="$ctrl.isEdit != true" class="eorder-add-new-profile-text">Enter the patient's supporting information</div>
        <div class="eorder-form-fields">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Marital Status</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div>
              <select ng-model="$ctrl.patient_data.martial_status"
                class="e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="Single">Single</option>
                <option value="Married">Married</option>
                <option value="Widowed">Widowed</option>
                <option value="Separated">Separated</option>
                <option value="Divorced">Divorced</option>
              </select>
              <div class="dobError" ng-if="$ctrl.maritalStatusFlag">
                Please select marital status
              </div>
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text mb-1">
              <label class="e-order-firstname-label">Occupation (optional)</label>
            </div>
            <input placeholder="" ng-model="$ctrl.patient_data.occupation" ng-class="$ctrl.checkOccupation()"
              class="e-order-input form-control {{$ctrl.occupationValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              {{$ctrl.occupationError}}
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Language</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="form-group">
              <select ng-model="$ctrl.patient_data.language"
                class="e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="English">English</option>
                <option value="Chinese">Chinese</option>
                <option value="Malay">Malay</option>
                <option value="Tamil">Tamil</option>
                <option value="Others">Others</option>
              </select>
              <div class="dobError" ng-if="$ctrl.languageFlag">
                Please select language
              </div>
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text mb-1">
              <label class="e-order-firstname-label">Religion (optional)</label>
            </div>
            <div>
              <select ng-model="$ctrl.patient_data.religion"
                class="e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="Buddhism">Buddhism</option>
                <option value="Christianity">Christianity</option>
                <option value="Islam">Islam</option>
                <option value="Hinduism">Hinduism</option>
                <option value="Sikhism">Sikhism</option>
                <option value="Others">Others</option>
              </select>
            </div>
          </div>
        </div>
        <div class="eorder-form-fields ">
          <!-- justify-content-start -->
          <div class="e-order-firstname">
            <div class="e-order-text mb-1">
              <label class="e-order-firstname-label">Next of Kin Name (optional)</label>
            </div>
            <input type="text" placeholder="" ng-model="$ctrl.patient_data.nok"
              ng-change="$ctrl.checkKinName()"
              class="e-order-input form-control {{$ctrl.nextOfKinNameValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              {{$ctrl.nextOfKinNameError}}
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text mb-1">
              <label class="e-order-firstname-label">Next of Kin Relationship (optional)</label>
            </div>
            <div>
              <select ng-model="$ctrl.patient_data.nok_relationship"
                class="e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="Parent">Parent</option>
                <option value="Spouse">Spouse</option>
                <option value="Child">Child</option>
                <option value="Partner">Partner</option>
                <option value="Friend">Friend</option>
                <option value="Others">Others</option>
              </select>
            </div>
          </div>
          <div class="e-order-firstname">
          </div>
          <div class="e-order-firstname">
          </div>
        </div>
        <hr />
        <div class="eorder-add-patient-text">Patient Payment Information </div>
        <div class="eorder-form-fields">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Payor</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="form-group">
              <select ng-model="$ctrl.patient_data.payor" ng-change="$ctrl.checkPayor()"
                class="custom-select {{$ctrl.payorValidation}} e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="Self Pay">Self Pay</option>
                <option value="Insurer">Insurer</option>
                <option value="Others">Others</option>
              </select>
              <div class="invalid-feedback">
                Please select payor
              </div>
            </div>
          </div>
          <div class="e-order-firstname" ng-if="$ctrl.patient_data.payor == $ctrl.payorInsurer">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Select Insurer</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="form-group">
              <select ng-model="$ctrl.patient_data.insurer"
                class="custom-select {{$ctrl.selectInsurerValidation}} e-order-firstname-input e-order-select-option-patient-form">
                <option value="">Select</option>
                <option value="Great Eastern">Great Eastern</option>
                <option value="Prudential">Prudential</option>
                <option value="AIA">AIA</option>
                <option value="NTUC Income">NTUC Income</option>
                <option value="QBE">QBE</option>
                <option value="Aviva">Aviva</option>
                <option value="AXA">AXA</option>
                <option value="Others">Others</option>
              </select>
              <div class="invalid-feedback">
                Please select insurer
              </div>
            </div>
          </div>
          <div class="e-order-firstname" ng-if="$ctrl.patient_data.payor === $ctrl.payorOthers">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Payor Name</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.patient_data.payor_name" ng-change = "$ctrl.checkPayorName()"
              class="form-control {{$ctrl.payorNameValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              {{$ctrl.payorNameError}}
            </div>
          </div>
          <div class="e-order-firstname"
            ng-if="$ctrl.patient_data.payor === $ctrl.payorInsurer || $ctrl.patient_data.payor === $ctrl.payorOthers">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Policy Number</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.patient_data.policy_no" ng-change = "$ctrl.checkPolicyNumber()"
              class="form-control {{$ctrl.policyNumberValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              {{$ctrl.policyNumberError}}
            </div>
          </div>
          <div class="e-order-firstname"
            ng-if="$ctrl.patient_data.payor === $ctrl.payorInsurer || $ctrl.patient_data.payor === $ctrl.payorOthers">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Expiry Date</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="e-order-dob">
              <datetimepicker class="dob_datetimepicker" date-format="dd/MM/yyyy" show-button-bar="false"
                  hidden-time="true" ng-model="$ctrl.expiry_date" date-options="$ctrl.expiry_dateOptions"
                  date-opened="$ctrl.dateShowFlag" disabled>
              </datetimepicker>
              <img class = "calender_img" src="../../../images/Calendar_Icon.svg" ng-click="$ctrl.dateShowFlag = true" />
            </div>
            <!-- <div class="e-order-dob">
              <input type="number" placeholder="Day" ng-model="$ctrl.eday" class="e-order-dob-input-day" ng-blur="$ctrl.checkExpiryDay()"/>
              <select ng-model="$ctrl.emonth" class="e-order-firstname-input e-order-select-dob-option">
                <option value="">Mon</option>
                <option value="01">Jan</option>
                <option value="02">Feb</option>
                <option value="03">Mar</option>
                <option value="04">Apr</option>
                <option value="05">May</option>
                <option value="06">Jun</option>
                <option value="07">Jul</option>
                <option value="08">Aug</option>
                <option value="09">Sep</option>
                <option value="10">Oct</option>
                <option value="11">Nov</option>
                <option value="12">Dec</option>
              </select>
              <input type="number" placeholder="Year" ng-model="$ctrl.eyear" class="e-order-dob-input-year" ng-blur = "$ctrl.checkExpiryYear()"/>
            </div> -->
            <div class="dobError" ng-if="$ctrl.eDateFlag">
              {{$ctrl.expiryDateError}}
            </div>
          </div>
        </div>
        <div class="buttons">
          <div class="backButton" ng-click="$ctrl.backButton()"><span class="backSymbol">&lt;</span>back</div>
          <div class="e-order-btn">
          <button class="btn bio-btn-view e-order-common-btn d-none d-md-block" ng-if="$ctrl.hideNextButton === false"
            ng-click="$ctrl.getData()">Next</button>
          <!-- ng-if="$ctrl.hideNextButton === true" -->
          <button ng-if="$ctrl.hideNextButton === true && $ctrl.isEdit != true" class="btn bio-btn-view e-order-common-btn d-none d-md-block margin"
            ng-click="$ctrl.addPatient()">Add</button>
          <button ng-if="$ctrl.hideNextButton === true && $ctrl.isEdit == true" class="btn bio-btn-view e-order-common-btn d-none d-md-block margin"
            ng-click="$ctrl.updatePatient()">Save</button>
          <button class="btn bio-btn-view e-order-common-btn e-order-cancel-button d-none d-md-block"
            ng-click='$ctrl.hideModal()'>Cancel</button>
          </div>
        </div>
        <!-- <div class="row">
          <div class="col-6">
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1">
                <b>Patient Identification</b>
              </div>
              <input
                    id="patient-name"
                    type="text"
                    ng-model="$ctrl.patient_data.ic_number"
                    class="form-control-eorder">
            </div>
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1">
                <b>Patient Name</b>
              </div>
              <input
                    type="text"
                    ng-model="$ctrl.patient_data.patient_name"
                    ng-disabled="$ctrl.lock_form"
                    class="form-control-eorder">
            </div>
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1"><b>Gender</b></div>
              <div class="d-flex flex-row">
                <div>
                    <input
                    type="radio"
                    id="gender_1"
                    name="gender"
                    ng-value="2"
                    ng-model="$ctrl.patient_data.gender_id"
                    tabindex="-1">
                    <label for="gender_1" style="margin-right: 20px">Female</label>
                </div>
                <div>
                    <input
                    type="radio"
                    id="gender_2"
                    name="gender"
                    ng-value="1"
                    ng-model="$ctrl.patient_data.gender_id"
                    tabindex="-1">
                    <label for="gender_2">Male</label>
                </div>
              </div>
            </div>  
            <div class="form-group-eorder" style="max-width: 300px;">
              <div class="bm-label-14 mb-1"><b>Mobile number</b> </div>
              <biomark-mobile country="$ctrl.patient_data.country_id" mobile="$ctrl.patient_data.mobile" invalid="false"></biomark-mobile>
            </div>
          </div>
          <div class="col-6">
            <div class="border-left pl-3">
              <div class="form-group-eorder" style="max-width: 300px;">
                <div class="bm-label-14 mb-1"><b>Date of birth</b> {{$ctrl.patient_data.birth_date}}</div>
                <biomark-date class="is-invalid" date="$ctrl.patient_data.birth_date" invalid="false" date-valid="$ctrl.dateValid"></biomark-date>
              </div>
              <div class="form-group-eorder" style="max-width: 300px;">
                <div class="bm-label-14 mb-1"><b>Age</b> </div>
                <input
                    ng-model="$ctrl.patient_data.age"
                    type="text"
                    class="form-control-eorder" ng-class="{'is-invalid': $ctrl.error.name}">
              </div>
              <div class="form-group-eorder" style="max-width: 300px;">
                <div class="bm-label-14 mb-1"><b>Email Address</b> </div>
                <input
                    ng-model="$ctrl.patient_data.email"
                    type="email"
                    class="form-control-eorder" ng-class="{'is-invalid': $ctrl.error.name}">
              </div>
            </div>
          </div>
        </div> -->
        <!-- <div class="row">
          <div class="col-12">
            <div class="d-flex flex-row justify-content-between bluey-grey float">
              <button class="btn biomark-btn-cancel mr-2" ng-click='$ctrl.hideModal()'>Cancel</button>
              <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.create_profile()">Add Patient</button>
            </div>
          </div>
        </div> -->
      </div>
      <!-- </div> -->
    </form>
  </div>
</div>
<div ng-if="$ctrl.result_sent_modal" class="biomark-modal">
  <div class="modal_container small">
    <div class="modal-closer-icon" ng-click="$ctrl.close_release_notice()">
      <i class="material-icons md-14">close</i>
    </div>
    <div class="modal-body-sm text-center">
      <div class="modal-custom-icon-green">
        <i class="material-icons md-50 bio-m-icon">check</i>
      </div>
      <h3 ng-if="$ctrl.isEdit != true">Patient Profile Created</h3>
      <h3 ng-if="$ctrl.isEdit == true">Patient Profile Updated</h3>
      <p ng-if="$ctrl.isEdit != true">This profile has been added.</p>
      <p ng-if="$ctrl.isEdit == true">This profile has been updated.</p>
      <p>
        <a href="" class="back" ng-click="$ctrl.close_release_notice()">Close</a>
      </p>
      <br>
    </div>
  </div>
</div>
